Unable to start Deluged ('ee key too small' error) on Buster

General support for problems installing or using Deluge
francy88
New User
New User
Posts: 1
Joined: Sun Apr 05, 2020 12:16 pm

Unable to start Deluged ('ee key too small' error) on Buster

Postby francy88 » Sun Apr 05, 2020 12:26 pm

Hi,
I'm on Raspbian and I've upgraded from Stretch to Buster. After that Deluge stops working, so I reinstalled/reconfigured deluged to the latest version without success.
On the log this error appears

[('SSL routines', 'SSL_CTX_use_certificate', 'ee key too small')]

This problems seems similare to the one described here: viewtopic.php?t=55116
I've tried to delete my .config/deluge/ssl as suggested in the above topic, but nothing changed. The only way I found to fix this problem was to edit my global OpenSSL security level (changed on Buster from TLSv1 to TLSv1.2 --> https://www.debian.org/releases/stable/ ... l-defaults). Now my Deluge .key / .cert files are accepted and all works fine.

My question is: why Deluge seems to not respond to this new security level and continues to create the key with the "old" method?

Thanks in advance

Return to “Support”

Who is online

Users browsing this forum: No registered users and 7 guests